OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.OES.QueryMatrix

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetOESQueryMatrix :: MonadIO m => m Bool
- gl_OES_query_matrix :: Bool
- glQueryMatrixxOES :: MonadIO m => Ptr GLfixed -> Ptr GLint -> m GLbitfield

# Extension Support

glGetOESQueryMatrix :: MonadIO m => m Bool Source #

Is the OES_query_matrix extension supported?

gl_OES_query_matrix :: Bool Source #

Is the OES_query_matrix extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOESQueryMatrix` in those cases instead.

# Functions

glQueryMatrixxOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `mantissa` pointing to `16` elements of type `GLfixed`.
-> Ptr GLint | `exponent` pointing to `16` elements of type `GLint`.
-> m GLbitfield |